<?php
/*
Plugin Name: LMT
Version: 1.2.0
Description: Appliquer une licence sur ses photos / Apply a licence on photos
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=282
Author: grum@piwigo.org
Author URI: http://photos.grum.fr
*/

/*
--------------------------------------------------------------------------------
  Author     : Grum
    email    : grum@piwigo.com
    website  : http://photos.grum.fr
    PWG user : http://forum.phpwebgallery.net/profile.php?id=3706

    << May the Little SpaceFrog be with you ! >>
--------------------------------------------------------------------------------

:: HISTORY

| release | date       |
| 1.0.0   | 2009/03/01 | first release
| 1.0.1   | 2009/05/01 | * modify de style for 80x15&text logo (to be centered
|         |            |   like the 88x31 logo)
|         |            | * modify the footer (allows to use html markup)
| 1.0.2   | 2009/06/12 | * the plugin can't manage picture if no physical category
|         |            |   is affected (pictures uploaded with pLoader have
|         |            |   only virtual categories). For now, use a LEFT OUTER JOIN
|         |            |   on physical categorie ; virtual category management will
|         |            |   be coded for the next release
| 1.0.3   | 2009/07/24 | * bug on "list" page when trying to add items in the
|         |            |   caddie (==> topic #116263 on french forum)
|         |            | * bug when displaying image's categories when image
|         |            |   only have virtual categories / now display all image
|         |            |   categories (physical & virtual)
|         |            |   (==>topic #113337 on french forum)
| 1.1.0   | 2009/11/29 | * mantis : feature 1294
|         |            |   Allow to open the licence page on a new page/tab when
|         |            |   user clic on the licence hyperlink
|         |            | * mantis : feature 1295
|         |            |   Compatibility with theme 'montblanc'
| 1.2.0   | 2010/03/28 | * compatibility with Piwigo 2.1
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |


:: TO DO

--------------------------------------------------------------------------------

:: NFO
  LMT_root : common classe for admin and public classes
  LMT_AIM  : classe to manage plugin integration into plugin menu
  LMT_AIP  : classe to manage plugin admin pages
  LMT_PIP  : classe to manage plugin public pages

--------------------------------------------------------------------------------
*/

// pour faciliter le debug :o)
 //ini_set('error_reporting', E_ALL);
 //ini_set('display_errors', true);

if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');


define('LMT_DIR' , basename(dirname(__FILE__)));
define('LMT_PATH' , PHPWG_PLUGINS_PATH . LMT_DIR . '/');

include_once('lmt_version.inc.php'); // => Don't forget to update this file !!

global $prefixeTable;

if(defined('IN_ADMIN'))
{
  //LMT admin interface loaded and active only if in admin page
  include_once("lmt_aim.class.inc.php");
  $obj=new LMT_AIM($prefixeTable, __FILE__);
  $obj->initEvents();
}
else
{
  //LMT public interface loaded and active only if in public page
  include_once("lmt_pip.class.inc.php");
  $obj=new LMT_PIP($prefixeTable, __FILE__);
}

set_plugin_data($plugin['id'], $obj);

?>
